Bug 712985 - Kernel panic on boot of Fedora 15 on ASUS P8H67
Summary: Kernel panic on boot of Fedora 15 on ASUS P8H67
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 15
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-13 19:44 UTC by Jure Repinc
Modified: 2013-01-23 02:03 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-30 18:51:55 UTC
Type: ---


Attachments (Terms of Use)
lspci (1.89 KB, text/plain)
2011-06-13 19:46 UTC, Jure Repinc
no flags Details
dmesg (74.21 KB, text/plain)
2011-06-13 19:47 UTC, Jure Repinc
no flags Details
anaconda.log (34.57 KB, text/plain)
2011-06-13 19:53 UTC, Jure Repinc
no flags Details

Description Jure Repinc 2011-06-13 19:44:50 UTC
Description of problem:
I've downloaded the 64-bit Fedora 15 live CD with KDE software and dd-ed it to my USB key. I used the USB key to boot to desktop (works just fine, I'm writing from it now). At the end I started the "Install to Hard Drive" and installed Fedora on 4th primary partition, formatted as EXT4. All appeared to go fine and then finished and I rebooted the system. After some seconds of countdown the system should boot up bit instead I got a kernel panic.

Version-Release number of selected component (if applicable):
64-bit Fedora 15 KDE LiveCD

How reproducible:
Always

Steps to Reproduce:
1. used the dd to put ISO to USB drive
2. booted from USB drive
3. started installation app
4. rebooted the computer
  
Actual results:
Kernel panic on boot

Expected results:
System should boot just fine

Additional info:
The hardware is:
* ASUS P8H67 motherboard with BIOS 1003
* Intel Core i5 2500K CPU
* Maxtor 6L25050 hard drive
* ATI Radeon HD 5750 graphics card
* 8 GiB of memory

Comment 1 Jure Repinc 2011-06-13 19:46:07 UTC
Created attachment 504530 [details]
lspci

Comment 2 Jure Repinc 2011-06-13 19:47:02 UTC
Created attachment 504531 [details]
dmesg

Comment 3 Jure Repinc 2011-06-13 19:53:53 UTC
Created attachment 504533 [details]
anaconda.log

Comment 4 Jure Repinc 2011-06-13 20:20:15 UTC
This is what I see when the kernel apnic happens:
Kernel panic - not syncing: VFS: Unable to mount root fs on unknown-block(0,0)
Pid: 1, comm: swapper Not tainted 2.6.38.6-26.rc1.fc15.x86_64 #1
Call trace:
[<ffffffff8146c72c>] panic+0x91/0x19c
[<ffffffff81b591f1>] mount_block_root+0x250/0x27b
[<ffffffff81b593a2>] mount_root+0x53/0x57
[<ffffffff81b59513>] prepare_namespace+0x16d/0x1a6
[<ffffffff810742e3>] ? put_cred_rcu+0x0/0x8d
[<ffffffff81b58edd>] kernel_init+0x2a2/0x2a7
[<ffffffff8100a9e4>] kernel_thread_helper+0x4/0x10
[<ffffffff81b58c3b>] ? kernel_init+0x0/0x2a7
[<ffffffff8100a9e0>] ? kernel_thread_helper+0x0/0x10

Comment 5 Mads Kiilerich 2011-07-25 14:11:44 UTC
I saw this too.
The reason was that I had lost my initrd line in grub.conf.
The solution was to add it.

Comment 6 Josh Boyer 2011-09-27 16:05:18 UTC
Can you see if Mads' comment is triggering the oops in comment #4, and if not does this still happen with the 2.6.40.x F15 kernels?


Note You need to log in before you can comment on or make changes to this bug.